Subject: Re: [PATCH] builtin/commit.c: fix type warnings from gcc and sparse

From: Junio C Hamano <[email-masked]>
Date: Fri, 29 Aug 2014 15:17:33 -0700

Jeff King <[email-masked]> writes:

> On Fri, Aug 29, 2014 at 05:36:21PM +0100, Ramsay Jones wrote:
>
>> On 32-bit platforms (only), gcc and sparse both issue warnings
>> about the type of the pointer expression passed as the third
>> argument to find_commit_header().  In order to suppress the
>> warnings, we simply change the type of the 'len' variable to
>> size_t.
>> 
>> Signed-off-by: Ramsay Jones <[email-masked]>
>
> Thanks, this looks good to me. I think I just switched between size_t
> and "unsigned long" during the development and forgot to tweak this
> spot.
>
>> If you need to re-roll your 'jk/commit-author-parsing' series, could
>> you please squash this into the equivalent of commit 95b5989
>> ("determine_author_info(): reuse parsing functions", 27-08-2014).
>
> I don't think I have any other reason to re-roll at this point. I'm
> happy to have this on top, or it can be squashed into the second from
> the top (95b5989) if we want to keep the history cleaner.
>
> I'm also happy to re-roll just for this, but my impression is that is
> not really any easier on Junio than just squashing a patch in.

Thanks for being very considerate ;-)  Have squashed it in with
"rebase -i" while preparing for the mid-day pushout.